aom_svc_params Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Parameter type for SVC. More...

`#include <aomcx.h>`

## Data Fields

int | number_spatial_layers
int | number_temporal_layers
int | max_quantizers [32]
int | min_quantizers [32]
int | scaling_factor_num [4]
int | scaling_factor_den [4]
int | layer_target_bitrate [32]
int | framerate_factor [8]

## Detailed Description

Parameter type for SVC.

In the arrays of size AOM_MAX_LAYERS, the index for spatial layer sl and temporal layer tl is sl * number_temporal_layers + tl.

## Field Documentation

## number_spatial_layers

int aom_svc_params::number_spatial_layers

Number of spatial layers

Valid range:

- When using AV1E_SET_SVC_REF_FRAME_CONFIG: [1, AOM_MAX_SS_LAYERS]
- When not using AV1E_SET_SVC_REF_FRAME_CONFIG: [1, 3]

## number_temporal_layers

int aom_svc_params::number_temporal_layers

Number of temporal layers

Valid range:

- When using AV1E_SET_SVC_REF_FRAME_CONFIG: [1, AOM_MAX_TS_LAYERS]
- When not using AV1E_SET_SVC_REF_FRAME_CONFIG: [1, 3]

## max_quantizers

int aom_svc_params::max_quantizers[32]

Max Q for each layer

## min_quantizers

int aom_svc_params::min_quantizers[32]

Min Q for each layer

## scaling_factor_num

int aom_svc_params::scaling_factor_num[4]

Scaling factor-numerator

## scaling_factor_den

int aom_svc_params::scaling_factor_den[4]

Scaling factor-denominator: must be greater than or equal to the scaling_factor_num[].

## layer_target_bitrate

int aom_svc_params::layer_target_bitrate[32]

Target bitrate for each layer, in kilobits per second

## framerate_factor

int aom_svc_params::framerate_factor[8]

Frame rate factor for each temporal layer

The documentation for this struct was generated from the following file:

- aom/aomcx.h